Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

glorious funtoo updates

merged:

  funtoo-overlay: bb0fc23
  foo-overlay: 3151d1b
  bar-overlay: 09dbf39
  flora: 7485f6e
  mate: 6c94706
  sabayon-for-gentoo: 612a85c
  • Loading branch information...
commit b031cf50cbad54f378aaf179585d516300d6be4f 1 parent 22a78ac
Daniel Robbins authored September 07, 2013

Showing 113 changed files with 1,140 additions and 1,432 deletions. Show diff stats Hide diff stats

  1. 16  app-admin/ec2-ami-tools/{ec2-ami-tools-1.4.0.5-r2.ebuild → ec2-ami-tools-1.4.0.5-r3.ebuild}
  2. 4  app-emacs/eselect-mode/eselect-mode-1.3.8.ebuild
  3. 50  app-i18n/uim/uim-1.7.3-r1.ebuild
  4. 50  app-i18n/uim/uim-1.7.3.ebuild
  5. 31  app-i18n/uim/uim-1.8.0-r1.ebuild
  6. 31  app-i18n/uim/uim-1.8.0.ebuild
  7. 31  app-i18n/uim/uim-1.8.2-r1.ebuild
  8. 31  app-i18n/uim/uim-1.8.2.ebuild
  9. 31  app-i18n/uim/uim-1.8.3-r1.ebuild
  10. 29  app-i18n/uim/uim-1.8.3.ebuild
  11. 31  app-i18n/uim/uim-1.8.4-r1.ebuild
  12. 31  app-i18n/uim/uim-1.8.4.ebuild
  13. 28  app-vim/airline/airline-9999.ebuild
  14. 1  dev-python/funcparserlib/Manifest
  15. 35  dev-python/funcparserlib/funcparserlib-0.3.6.ebuild
  16. 5  {net-dialup/hsfmodem → dev-python/funcparserlib}/metadata.xml
  17. 1  dev-python/qrcode/Manifest
  18. 8  dev-python/qrcode/metadata.xml
  19. 37  dev-python/qrcode/qrcode-3.1.ebuild
  20. 1  dev-ruby/celluloid/Manifest
  21. 31  dev-ruby/celluloid/celluloid-0.15.1.ebuild
  22. 1  dev-ruby/fakefs/Manifest
  23. 52  dev-ruby/fakefs/fakefs-0.4.3.ebuild
  24. 1  dev-ruby/flog/Manifest
  25. 28  dev-ruby/flog/flog-4.1.2.ebuild
  26. 1  dev-ruby/minitest/Manifest
  27. 50  dev-ruby/minitest/minitest-5.0.7.ebuild
  28. 2  dev-scheme/tinyscheme/metadata.xml
  29. 3  dev-util/anjuta/anjuta-3.8.4.ebuild
  30. 23  games-board/xboard/files/xboard-4.7.2-Xaw3d.patch
  31. 14  games-board/xboard/xboard-4.7.2.ebuild
  32. 477  licenses/Apache-2.0
  33. 2  media-sound/moc/Manifest
  34. 35  media-sound/moc/{moc-2.5.0_alpha4_p20111211.ebuild → moc-2.5.0_beta1_p20130907.ebuild}
  35. 2  metadata/dtd/timestamp.chk
  36. 2  metadata/glsa/timestamp.chk
  37. 2  metadata/md5-cache/app-admin/{ec2-ami-tools-1.4.0.5-r2 → ec2-ami-tools-1.4.0.5-r3}
  38. 4  metadata/md5-cache/app-emacs/eselect-mode-1.3.8
  39. 6  metadata/md5-cache/app-i18n/uim-1.7.3
  40. 6  metadata/md5-cache/app-i18n/uim-1.7.3-r1
  41. 6  metadata/md5-cache/app-i18n/uim-1.8.0
  42. 6  metadata/md5-cache/app-i18n/uim-1.8.0-r1
  43. 6  metadata/md5-cache/app-i18n/uim-1.8.2
  44. 6  metadata/md5-cache/app-i18n/uim-1.8.2-r1
  45. 2  metadata/md5-cache/app-i18n/uim-1.8.3
  46. 6  metadata/md5-cache/app-i18n/uim-1.8.3-r1
  47. 6  metadata/md5-cache/app-i18n/uim-1.8.4
  48. 6  metadata/md5-cache/app-i18n/uim-1.8.4-r1
  49. 10  metadata/md5-cache/app-vim/airline-9999
  50. 14  metadata/md5-cache/dev-python/funcparserlib-0.3.6
  51. 14  metadata/md5-cache/dev-python/qrcode-3.1
  52. 14  metadata/md5-cache/dev-ruby/celluloid-0.15.1
  53. 14  metadata/md5-cache/dev-ruby/fakefs-0.4.3
  54. 14  metadata/md5-cache/dev-ruby/flog-4.1.2
  55. 14  metadata/md5-cache/dev-ruby/minitest-5.0.7
  56. 2  metadata/md5-cache/dev-util/anjuta-3.8.4
  57. 10  metadata/md5-cache/games-board/xboard-4.7.2
  58. 13  metadata/md5-cache/media-sound/moc-2.5.0_alpha4_p20111211
  59. 12  metadata/md5-cache/media-sound/moc-2.5.0_beta1_p20130907
  60. 12  metadata/md5-cache/net-dialup/hsfmodem-7.80.02.04
  61. 12  metadata/md5-cache/net-dialup/hsfmodem-7.80.02.05
  62. 6  metadata/md5-cache/net-libs/libkgapi-2.0.1
  63. 4  metadata/md5-cache/net-libs/socket++-1.12.12-r1
  64. 11  metadata/md5-cache/net-misc/minissdpd-1.2.20130907
  65. 6  metadata/md5-cache/net-p2p/freenet-0.7.5_p1455
  66. 14  metadata/md5-cache/net-p2p/transmission-2.82-r2
  67. 14  metadata/md5-cache/net-proxy/swiftiply-0.6.4
  68. 14  metadata/md5-cache/net-proxy/swiftiply-0.6.4-r2
  69. 12  metadata/md5-cache/sci-calculators/units-2.01
  70. 14  metadata/md5-cache/sys-apps/etckeeper-1.9
  71. 4  metadata/md5-cache/sys-boot/unetbootin-583
  72. 4  metadata/md5-cache/sys-boot/unetbootin-584
  73. 4  metadata/md5-cache/sys-boot/unetbootin-585
  74. 8  metadata/md5-cache/sys-devel/llvm-9999
  75. 12  metadata/md5-cache/x11-misc/read-edid-3.0.0
  76. 11  metadata/md5-cache/x11-misc/xdaliclock-2.39
  77. 2  metadata/news/timestamp.chk
  78. 2  metadata/timestamp
  79. 2  metadata/timestamp.chk
  80. 2  metadata/timestamp.x
  81. 5  net-dialup/hsfmodem/Manifest
  82. 129  net-dialup/hsfmodem/files/hsfmodem-7.80.02.04-gentoo.patch
  83. 130  net-dialup/hsfmodem/files/hsfmodem-7.80.02.05-gentoo.patch
  84. 83  net-dialup/hsfmodem/hsfmodem-7.80.02.04.ebuild
  85. 83  net-dialup/hsfmodem/hsfmodem-7.80.02.05.ebuild
  86. 4  net-libs/libkgapi/libkgapi-2.0.1.ebuild
  87. 2  net-libs/socket++/Manifest
  88. 20  net-libs/socket++/files/socket++-1.12.12-gcc47.patch
  89. 5  net-libs/socket++/socket++-1.12.12-r1.ebuild
  90. 1  net-misc/minissdpd/Manifest
  91. 36  net-misc/minissdpd/minissdpd-1.2.20130907.ebuild
  92. 4  net-p2p/freenet/freenet-0.7.5_p1455.ebuild
  93. 14  net-p2p/transmission/files/transmission-daemon.confd.4
  94. 73  net-p2p/transmission/files/transmission-daemon.initd.9
  95. 107  net-p2p/transmission/transmission-2.82-r2.ebuild
  96. 23  net-proxy/swiftiply/{swiftiply-0.6.4.ebuild → swiftiply-0.6.4-r2.ebuild}
  97. 8  profiles/base/package.use.mask
  98. 8  profiles/eapi-5-files/package.use.stable.mask
  99. 30  profiles/package.mask/gentoo
  100. 1  sci-calculators/units/Manifest
  101. 34  sci-calculators/units/units-2.01.ebuild
  102. 1  sys-apps/etckeeper/Manifest
  103. 75  sys-apps/etckeeper/etckeeper-1.9.ebuild
  104. 4  sys-boot/unetbootin/unetbootin-583.ebuild
  105. 4  sys-boot/unetbootin/unetbootin-584.ebuild
  106. 4  sys-boot/unetbootin/unetbootin-585.ebuild
  107. 27  sys-devel/llvm/llvm-9999.ebuild
  108. 5  x11-misc/read-edid/Manifest
  109. 11  x11-misc/read-edid/files/read-edid-3.0.0-include.patch
  110. 10  x11-misc/read-edid/files/read-edid-3.0.0-sharedir.patch
  111. 28  x11-misc/read-edid/read-edid-3.0.0.ebuild
  112. 1  x11-misc/xdaliclock/Manifest
  113. 33  x11-misc/xdaliclock/xdaliclock-2.39.ebuild
16  ...min/ec2-ami-tools/ec2-ami-tools-1.4.0.5-r2.ebuild → ...min/ec2-ami-tools/ec2-ami-tools-1.4.0.5-r3.ebuild
... ...
@@ -1,6 +1,6 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-admin/ec2-ami-tools/ec2-ami-tools-1.4.0.5-r2.ebuild,v 1.1 2013/09/04 12:56:00 tomwij Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-admin/ec2-ami-tools/ec2-ami-tools-1.4.0.5-r3.ebuild,v 1.1 2013/09/07 14:22:59 tomwij Exp $
4 4
 
5 5
 EAPI="5"
6 6
 
@@ -15,19 +15,17 @@ LICENSE="Amazon
15 15
 SLOT="0"
16 16
 KEYWORDS="~amd64 ~x86"
17 17
 
  18
+ruby_slot="1.9"
  19
+
18 20
 DEPEND="app-arch/unzip"
19  
-RDEPEND="dev-lang/ruby:1.9[ssl]
  21
+RDEPEND="dev-lang/ruby:${ruby_slot}[ssl]
20 22
 	net-misc/rsync
21 23
 	net-misc/curl"
22 24
 
23  
-S="${WORKDIR}/${P}"
24  
-
25 25
 src_prepare() {
26  
-	# Simplify the scripts to always run Ruby 18, since that seems to
27  
-	# be what upstream has been using; since Gentoo supports alternative
28  
-	# implementations as well it is not guaranteed that ruby is ruby18.
29  
-	# There are forks which patch this, but Amazon hasn't patched this yet.
30  
-	sed -i -e '$s:^ruby:exec ruby18:' bin/* || die 'Sed failed.'
  26
+	# Simplify the scripts to always run Ruby 19, since Gentoo supports
  27
+	# alternative implementations as well it is not guaranteed that ruby is ruby19.
  28
+	sed -i -e "\$s:^ruby:exec ruby${ruby_slot/./}:" bin/* || die 'Sed failed.'
31 29
 
32 30
 	# Remove a left behind license file.
33 31
 	rm lib/ec2/oem/LICENSE.txt || die 'Removal of LICENSE failed.'
4  app-emacs/eselect-mode/eselect-mode-1.3.8.ebuild
... ...
@@ -1,6 +1,6 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-emacs/eselect-mode/eselect-mode-1.3.8.ebuild,v 1.9 2013/09/05 19:24:23 ago Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-emacs/eselect-mode/eselect-mode-1.3.8.ebuild,v 1.10 2013/09/07 11:15:50 hwoarang Exp $
4 4
 
5 5
 EAPI=5
6 6
 
@@ -13,7 +13,7 @@ SRC_URI="mirror://gentoo/${MY_P}.tar.xz"
13 13
 
14 14
 LICENSE="GPL-2+"
15 15
 SLOT="0"
16  
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
  16
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
17 17
 
18 18
 S="${WORKDIR}/${MY_P}/misc"
19 19
 SITEFILE="50${PN}-gentoo.el"
50  app-i18n/uim/uim-1.7.3-r1.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.7.3-r1.ebuild,v 1.1 2013/04/06 02:45:32 naota Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.7.3-r1.ebuild,v 1.2 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,44 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-gnome2_query_immodules_gtk2() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0/$(get_abi_CHOST)"
97  
-
98  
-	local query_exec="${EPREFIX}/usr/bin/gtk-query-immodules-2.0"
99  
-	local gtk_conf="${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
100  
-	local gtk_conf_dir=$(dirname "${gtk_conf}")
101  
-
102  
-	einfo "Generating Gtk2 immodules/gdk-pixbuf loaders listing:"
103  
-	einfo "-> ${gtk_conf}"
104  
-
105  
-	mkdir -p "${gtk_conf_dir}"
106  
-	local tmp_file=$(mktemp -t tmp.XXXXXXXXXXgtk_query_immodules)
107  
-	if [ -z "${tmp_file}" ]; then
108  
-		ewarn "gtk_query_immodules: cannot create temporary file"
109  
-		return 1
110  
-	fi
111  
-
112  
-	if ${query_exec} > "${tmp_file}"; then
113  
-		cat "${tmp_file}" > "${gtk_conf}" || \
114  
-			ewarn "Failed to write to ${gtk_conf}"
115  
-	else
116  
-		ewarn "Cannot update gtk.immodules, file generation failed"
117  
-	fi
118  
-	rm "${tmp_file}"
119  
-}
120  
-
121  
-update_gtk_immodules() {
122  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
123  
-		gnome2_query_immodules_gtk2
124  
-	fi
125  
-}
126  
-
127  
-update_gtk3_immodules() {
128  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
129  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
130  
-	fi
131  
-}
132  
-
133 95
 pkg_setup() {
134 96
 	strip-linguas fr ja ko
135 97
 	if [[ -z "${LINGUAS}" ]]; then
@@ -272,8 +234,8 @@ pkg_postinst() {
272 234
 	elog "If you upgrade from a version of uim older than 1.4.0,"
273 235
 	elog "you should run revdep-rebuild."
274 236
 
275  
-	use gtk && update_gtk_immodules
276  
-	use gtk3 && update_gtk3_immodules
  237
+	use gtk && gnome2_query_immodules_gtk2
  238
+	use gtk3 && gnome2_query_immodules_gtk3
277 239
 	if use emacs; then
278 240
 		elisp-site-regen
279 241
 		echo
@@ -286,7 +248,7 @@ pkg_postinst() {
286 248
 }
287 249
 
288 250
 pkg_postrm() {
289  
-	use gtk && update_gtk_immodules
290  
-	use gtk3 && update_gtk3_immodules
  251
+	use gtk && gnome2_query_immodules_gtk2
  252
+	use gtk3 && gnome2_query_immodules_gtk3
291 253
 	use emacs && elisp-site-regen
292 254
 }
50  app-i18n/uim/uim-1.7.3.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.7.3.ebuild,v 1.11 2013/03/02 19:29:05 hwoarang Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.7.3.ebuild,v 1.12 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,44 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-gnome2_query_immodules_gtk2() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0/$(get_abi_CHOST)"
97  
-
98  
-	local query_exec="${EPREFIX}/usr/bin/gtk-query-immodules-2.0"
99  
-	local gtk_conf="${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
100  
-	local gtk_conf_dir=$(dirname "${gtk_conf}")
101  
-
102  
-	einfo "Generating Gtk2 immodules/gdk-pixbuf loaders listing:"
103  
-	einfo "-> ${gtk_conf}"
104  
-
105  
-	mkdir -p "${gtk_conf_dir}"
106  
-	local tmp_file=$(mktemp -t tmp.XXXXXXXXXXgtk_query_immodules)
107  
-	if [ -z "${tmp_file}" ]; then
108  
-		ewarn "gtk_query_immodules: cannot create temporary file"
109  
-		return 1
110  
-	fi
111  
-
112  
-	if ${query_exec} > "${tmp_file}"; then
113  
-		cat "${tmp_file}" > "${gtk_conf}" || \
114  
-			ewarn "Failed to write to ${gtk_conf}"
115  
-	else
116  
-		ewarn "Cannot update gtk.immodules, file generation failed"
117  
-	fi
118  
-	rm "${tmp_file}"
119  
-}
120  
-
121  
-update_gtk_immodules() {
122  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
123  
-		gnome2_query_immodules_gtk2
124  
-	fi
125  
-}
126  
-
127  
-update_gtk3_immodules() {
128  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
129  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
130  
-	fi
131  
-}
132  
-
133 95
 src_prepare() {
134 96
 	epatch \
135 97
 		"${FILESDIR}"/${PN}-1.6.0-gentoo.patch \
@@ -263,8 +225,8 @@ pkg_postinst() {
263 225
 	elog "If you upgrade from a version of uim older than 1.4.0,"
264 226
 	elog "you should run revdep-rebuild."
265 227
 
266  
-	use gtk && update_gtk_immodules
267  
-	use gtk3 && update_gtk3_immodules
  228
+	use gtk && gnome2_query_immodules_gtk2
  229
+	use gtk3 && gnome2_query_immodules_gtk2
268 230
 	if use emacs; then
269 231
 		elisp-site-regen
270 232
 		echo
@@ -277,7 +239,7 @@ pkg_postinst() {
277 239
 }
278 240
 
279 241
 pkg_postrm() {
280  
-	use gtk && update_gtk_immodules
281  
-	use gtk3 && update_gtk3_immodules
  242
+	use gtk && gnome2_query_immodules_gtk2
  243
+	use gtk3 && gnome2_query_immodules_gtk3
282 244
 	use emacs && elisp-site-regen
283 245
 }
31  app-i18n/uim/uim-1.8.0-r1.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.0-r1.ebuild,v 1.1 2013/04/06 02:45:32 naota Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.0-r1.ebuild,v 1.2 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 pkg_setup() {
115 96
 	strip-linguas fr ja ko
116 97
 	if [[ -z "${LINGUAS}" ]]; then
@@ -250,8 +231,8 @@ pkg_postinst() {
250 231
 	elog "If you upgrade from a version of uim older than 1.4.0,"
251 232
 	elog "you should run revdep-rebuild."
252 233
 
253  
-	use gtk && update_gtk_immodules
254  
-	use gtk3 && update_gtk3_immodules
  234
+	use gtk && gnome2_query_immodules_gtk2
  235
+	use gtk3 && gnome2_query_immodules_gtk3
255 236
 	if use emacs; then
256 237
 		elisp-site-regen
257 238
 		echo
@@ -264,7 +245,7 @@ pkg_postinst() {
264 245
 }
265 246
 
266 247
 pkg_postrm() {
267  
-	use gtk && update_gtk_immodules
268  
-	use gtk3 && update_gtk3_immodules
  248
+	use gtk && gnome2_query_immodules_gtk2
  249
+	use gtk3 && gnome2_query_immodules_gtk3
269 250
 	use emacs && elisp-site-regen
270 251
 }
31  app-i18n/uim/uim-1.8.0.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.0.ebuild,v 1.10 2013/03/02 19:29:05 hwoarang Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.0.ebuild,v 1.11 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 src_prepare() {
115 96
 	epatch \
116 97
 		"${FILESDIR}"/${PN}-1.6.0-gentoo.patch \
@@ -241,8 +222,8 @@ pkg_postinst() {
241 222
 	elog "If you upgrade from a version of uim older than 1.4.0,"
242 223
 	elog "you should run revdep-rebuild."
243 224
 
244  
-	use gtk && update_gtk_immodules
245  
-	use gtk3 && update_gtk3_immodules
  225
+	use gtk && gnome2_query_immodules_gtk2
  226
+	use gtk3 && gnome2_query_immodules_gtk3
246 227
 	if use emacs; then
247 228
 		elisp-site-regen
248 229
 		echo
@@ -255,7 +236,7 @@ pkg_postinst() {
255 236
 }
256 237
 
257 238
 pkg_postrm() {
258  
-	use gtk && update_gtk_immodules
259  
-	use gtk3 && update_gtk3_immodules
  239
+	use gtk && gnome2_query_immodules_gtk2
  240
+	use gtk3 && gnome2_query_immodules_gtk3
260 241
 	use emacs && elisp-site-regen
261 242
 }
31  app-i18n/uim/uim-1.8.2-r1.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.2-r1.ebuild,v 1.1 2013/04/06 02:45:32 naota Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.2-r1.ebuild,v 1.2 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 pkg_setup() {
115 96
 	strip-linguas fr ja ko
116 97
 	if [[ -z "${LINGUAS}" ]]; then
@@ -249,8 +230,8 @@ pkg_postinst() {
249 230
 	elog "If you upgrade from a version of uim older than 1.4.0,"
250 231
 	elog "you should run revdep-rebuild."
251 232
 
252  
-	use gtk && update_gtk_immodules
253  
-	use gtk3 && update_gtk3_immodules
  233
+	use gtk && gnome2_query_immodules_gtk2
  234
+	use gtk3 && gnome2_query_immodules_gtk3
254 235
 	if use emacs; then
255 236
 		elisp-site-regen
256 237
 		echo
@@ -263,7 +244,7 @@ pkg_postinst() {
263 244
 }
264 245
 
265 246
 pkg_postrm() {
266  
-	use gtk && update_gtk_immodules
267  
-	use gtk3 && update_gtk3_immodules
  247
+	use gtk && gnome2_query_immodules_gtk2
  248
+	use gtk3 && gnome2_query_immodules_gtk3
268 249
 	use emacs && elisp-site-regen
269 250
 }
31  app-i18n/uim/uim-1.8.2.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.2.ebuild,v 1.2 2013/03/02 19:29:05 hwoarang Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.2.ebuild,v 1.3 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 src_prepare() {
115 96
 	epatch \
116 97
 		"${FILESDIR}"/${PN}-1.6.0-gentoo.patch \
@@ -240,8 +221,8 @@ pkg_postinst() {
240 221
 	elog "If you upgrade from a version of uim older than 1.4.0,"
241 222
 	elog "you should run revdep-rebuild."
242 223
 
243  
-	use gtk && update_gtk_immodules
244  
-	use gtk3 && update_gtk3_immodules
  224
+	use gtk && gnome2_query_immodules_gtk2
  225
+	use gtk3 && gnome2_query_immodules_gtk3
245 226
 	if use emacs; then
246 227
 		elisp-site-regen
247 228
 		echo
@@ -254,7 +235,7 @@ pkg_postinst() {
254 235
 }
255 236
 
256 237
 pkg_postrm() {
257  
-	use gtk && update_gtk_immodules
258  
-	use gtk3 && update_gtk3_immodules
  238
+	use gtk && gnome2_query_immodules_gtk2
  239
+	use gtk3 && gnome2_query_immodules_gtk3
259 240
 	use emacs && elisp-site-regen
260 241
 }
31  app-i18n/uim/uim-1.8.3-r1.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.3-r1.ebuild,v 1.1 2013/04/06 02:45:32 naota Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.3-r1.ebuild,v 1.2 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 pkg_setup() {
115 96
 	strip-linguas fr ja ko
116 97
 	if [[ -z "${LINGUAS}" ]]; then
@@ -249,8 +230,8 @@ pkg_postinst() {
249 230
 	elog "If you upgrade from a version of uim older than 1.4.0,"
250 231
 	elog "you should run revdep-rebuild."
251 232
 
252  
-	use gtk && update_gtk_immodules
253  
-	use gtk3 && update_gtk3_immodules
  233
+	use gtk && gnome2_query_immodules_gtk2
  234
+	use gtk3 && gnome2_query_immodules_gtk3
254 235
 	if use emacs; then
255 236
 		elisp-site-regen
256 237
 		echo
@@ -263,7 +244,7 @@ pkg_postinst() {
263 244
 }
264 245
 
265 246
 pkg_postrm() {
266  
-	use gtk && update_gtk_immodules
267  
-	use gtk3 && update_gtk3_immodules
  247
+	use gtk && gnome2_query_immodules_gtk2
  248
+	use gtk3 && gnome2_query_immodules_gtk3
268 249
 	use emacs && elisp-site-regen
269 250
 }
29  app-i18n/uim/uim-1.8.3.ebuild
... ...
@@ -1,6 +1,6 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.3.ebuild,v 1.2 2013/03/02 19:29:05 hwoarang Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.3.ebuild,v 1.3 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6 6
 inherit autotools eutils multilib elisp-common flag-o-matic
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 src_prepare() {
115 96
 	epatch \
116 97
 		"${FILESDIR}"/${PN}-1.6.0-gentoo.patch \
@@ -240,8 +221,8 @@ pkg_postinst() {
240 221
 	elog "If you upgrade from a version of uim older than 1.4.0,"
241 222
 	elog "you should run revdep-rebuild."
242 223
 
243  
-	use gtk && update_gtk_immodules
244  
-	use gtk3 && update_gtk3_immodules
  224
+	use gtk && gnome2_query_immodules_gtk2
  225
+	use gtk3 && gnome2_query_immodules_gtk3
245 226
 	if use emacs; then
246 227
 		elisp-site-regen
247 228
 		echo
@@ -254,7 +235,7 @@ pkg_postinst() {
254 235
 }
255 236
 
256 237
 pkg_postrm() {
257  
-	use gtk && update_gtk_immodules
258  
-	use gtk3 && update_gtk3_immodules
  238
+	use gtk && gnome2_query_immodules_gtk2
  239
+	use gtk3 && gnome2_query_immodules_gtk3
259 240
 	use emacs && elisp-site-regen
260 241
 }
31  app-i18n/uim/uim-1.8.4-r1.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.4-r1.ebuild,v 1.1 2013/04/06 02:45:32 naota Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.4-r1.ebuild,v 1.2 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 pkg_setup() {
115 96
 	strip-linguas fr ja ko
116 97
 	if [[ -z "${LINGUAS}" ]]; then
@@ -249,8 +230,8 @@ pkg_postinst() {
249 230
 	elog "If you upgrade from a version of uim older than 1.4.0,"
250 231
 	elog "you should run revdep-rebuild."
251 232
 
252  
-	use gtk && update_gtk_immodules
253  
-	use gtk3 && update_gtk3_immodules
  233
+	use gtk && gnome2_query_immodules_gtk2
  234
+	use gtk3 && gnome2_query_immodules_gtk3
254 235
 	if use emacs; then
255 236
 		elisp-site-regen
256 237
 		echo
@@ -263,7 +244,7 @@ pkg_postinst() {
263 244
 }
264 245
 
265 246
 pkg_postrm() {
266  
-	use gtk && update_gtk_immodules
267  
-	use gtk3 && update_gtk3_immodules
  247
+	use gtk && gnome2_query_immodules_gtk2
  248
+	use gtk3 && gnome2_query_immodules_gtk3
268 249
 	use emacs && elisp-site-regen
269 250
 }
31  app-i18n/uim/uim-1.8.4.ebuild
... ...
@@ -1,9 +1,9 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.4.ebuild,v 1.2 2013/03/02 19:29:05 hwoarang Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/app-i18n/uim/uim-1.8.4.ebuild,v 1.3 2013/09/07 08:10:08 pacho Exp $
4 4
 
5 5
 EAPI="4"
6  
-inherit autotools eutils multilib elisp-common flag-o-matic
  6
+inherit autotools eutils multilib elisp-common flag-o-matic gnome2-utils
7 7
 
8 8
 DESCRIPTION="Simple, secure and flexible input method library"
9 9
 HOMEPAGE="http://code.google.com/p/uim/"
@@ -92,25 +92,6 @@ RDEPEND="${RDEPEND}
92 92
 
93 93
 SITEFILE=50${PN}-gentoo.el
94 94
 
95  
-update_gtk_immodules() {
96  
-	local GTK2_CONFDIR="/etc/gtk-2.0"
97  
-	# bug #366889
98  
-	if has_version '>=x11-libs/gtk+-2.22.1-r1:2' || has_multilib_profile ; then
99  
-		GTK2_CONFDIR="${GTK2_CONFDIR}/$(get_abi_CHOST)"
100  
-	fi
101  
-	mkdir -p "${EPREFIX}${GTK2_CONFDIR}"
102  
-
103  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-2.0" ] ; then
104  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-2.0" > "${EPREFIX}${GTK2_CONFDIR}/gtk.immodules"
105  
-	fi
106  
-}
107  
-
108  
-update_gtk3_immodules() {
109  
-	if [ -x "${EPREFIX}/usr/bin/gtk-query-immodules-3.0" ] ; then
110  
-		"${EPREFIX}/usr/bin/gtk-query-immodules-3.0" --update-cache
111  
-	fi
112  
-}
113  
-
114 95
 src_prepare() {
115 96
 	epatch \
116 97
 		"${FILESDIR}"/${PN}-1.6.0-gentoo.patch \
@@ -240,8 +221,8 @@ pkg_postinst() {
240 221
 	elog "If you upgrade from a version of uim older than 1.4.0,"
241 222
 	elog "you should run revdep-rebuild."
242 223
 
243  
-	use gtk && update_gtk_immodules
244  
-	use gtk3 && update_gtk3_immodules
  224
+	use gtk && gnome2_query_immodules_gtk2
  225
+	use gtk3 && gnome2_query_immodules_gtk3
245 226
 	if use emacs; then
246 227
 		elisp-site-regen
247 228
 		echo
@@ -254,7 +235,7 @@ pkg_postinst() {
254 235
 }
255 236
 
256 237
 pkg_postrm() {
257  
-	use gtk && update_gtk_immodules
258  
-	use gtk3 && update_gtk3_immodules
  238
+	use gtk && gnome2_query_immodules_gtk2
  239
+	use gtk3 && gnome2_query_immodules_gtk3
259 240
 	use emacs && elisp-site-regen
260 241
 }
28  app-vim/airline/airline-9999.ebuild
... ...
@@ -0,0 +1,28 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/app-vim/airline/airline-9999.ebuild,v 1.1 2013/09/07 10:35:19 radhermit Exp $
  4
+
  5
+EAPI=5
  6
+inherit vim-plugin
  7
+
  8
+if [[ ${PV} != 9999* ]] ; then
  9
+	MY_PN=vim-${PN}
  10
+	MY_P=${MY_PN}-${PV}
  11
+	SRC_URI="https://github.com/bling/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
  12
+	KEYWORDS="~amd64 ~x86"
  13
+	S=${WORKDIR}/${MY_P}
  14
+else
  15
+	inherit git-r3
  16
+	EGIT_REPO_URI="git://github.com/bling/vim-airline.git"
  17
+fi
  18
+
  19
+DESCRIPTION="vim plugin: lean & mean statusline for vim that's light as air"
  20
+HOMEPAGE="https://github.com/bling/vim-airline/ http://www.vim.org/scripts/script.php?script_id=4661"
  21
+LICENSE="MIT"
  22
+VIM_PLUGIN_HELPFILES="${PN}.txt"
  23
+
  24
+src_prepare() {
  25
+	# remove unwanted files
  26
+	rm LICENSE README* || die
  27
+	[[ ${PV} == 9999* ]] && rm -rf t Gemfile Rakefile
  28
+}
1  dev-python/funcparserlib/Manifest
... ...
@@ -0,0 +1 @@
  1
+DIST funcparserlib-0.3.6.tar.gz 30401 SHA256 b7992eac1a3eb97b3d91faa342bfda0729e990bd8a43774c1592c091e563c91d SHA512 efa52f788aa902b099660cb8bc60a025085a8c383e52bd0824a0c3ae28a6c13804a0659de0c80b4dcd839ee70491805d4eecda6cea221e35c3750ec569098c24 WHIRLPOOL c4bbf1f332f7fd6319fae178e810ea3ef83e403ee9ee89cacf1ec652c36a9047b5ed8fd9a41350eeb826633ec9ac6564d81ce88021670a079f82f256949d25d8
35  dev-python/funcparserlib/funcparserlib-0.3.6.ebuild
... ...
@@ -0,0 +1,35 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-python/funcparserlib/funcparserlib-0.3.6.ebuild,v 1.1 2013/09/07 09:06:47 mgorny Exp $
  4
+
  5
+EAPI=5
  6
+
  7
+PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
  8
+
  9
+inherit distutils-r1
  10
+
  11
+DESCRIPTION="Recursive descent parsing library based on functional combinators"
  12
+HOMEPAGE="https://code.google.com/p/funcparserlib/ https://pypi.python.org/pypi/funcparserlib"
  13
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
  14
+
  15
+LICENSE="MIT"
  16
+SLOT="0"
  17
+KEYWORDS="~amd64 ~x86"
  18
+IUSE="test"
  19
+
  20
+RDEPEND=""
  21
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
  22
+	test? ( virtual/python-unittest2[${PYTHON_USEDEP}] )"
  23
+
  24
+python_test() {
  25
+	local m=unittest
  26
+	[[ ${EPYTHON} == python2.6 ]] && m=unittest2.__main__
  27
+
  28
+	cd "${BUILD_DIR}"/lib || die
  29
+	"${PYTHON}" -m ${m} discover || die "Tests fail with ${EPYTHON}"
  30
+}
  31
+
  32
+python_install_all() {
  33
+	local DOCS=( doc/*.md )
  34
+	distutils-r1_python_install_all
  35
+}
5  net-dialup/hsfmodem/metadata.xml → dev-python/funcparserlib/metadata.xml
... ...
@@ -1,5 +1,8 @@
1 1
 <?xml version="1.0" encoding="UTF-8"?>
2 2
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
3 3
 <pkgmetadata>
4  
-<herd>net-dialup</herd>
  4
+	<herd>python</herd>
  5
+	<upstream>
  6
+		<remote-id type="pypi">funcparserlib</remote-id>
  7
+	</upstream>
5 8
 </pkgmetadata>
1  dev-python/qrcode/Manifest
... ...
@@ -0,0 +1 @@
  1
+DIST qrcode-3.1.tar.gz 14762 SHA256 d638ac1a877cb92413c625a2334eacf95d1b7225f9211ed3028045bf8806838a SHA512 6738718ebdae69511b0cd580f0e0c79cf1dc699e9853438196e0dbdbd3c1afa174e0b37d09722cb4b425196406859afd3ffa5d85c6bafffc30cc6593d0f609a4 WHIRLPOOL f6a04bdd7d8a26142fee1e1b62a49f3cf913ea12d7ec81300df59c6f07c523d4407ffa4e3458ff6eb511fb0adb217246cead3a310d7b07ac35f6d8b430b72211
8  dev-python/qrcode/metadata.xml
... ...
@@ -0,0 +1,8 @@
  1
+<?xml version="1.0" encoding="UTF-8"?>
  2
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
  3
+<pkgmetadata>
  4
+	<herd>python</herd>
  5
+	<upstream>
  6
+		<remote-id type="pypi">funcparserlib</remote-id>
  7
+	</upstream>
  8
+</pkgmetadata>
37  dev-python/qrcode/qrcode-3.1.ebuild
... ...
@@ -0,0 +1,37 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-python/qrcode/qrcode-3.1.ebuild,v 1.1 2013/09/07 11:36:36 mgorny Exp $
  4
+
  5
+EAPI=5
  6
+
  7
+PYTHON_COMPAT=( python{2_6,2_7} )
  8
+
  9
+inherit distutils-r1
  10
+
  11
+DESCRIPTION="QR Code generator on top of PIL"
  12
+HOMEPAGE="https://pypi.python.org/pypi/qrcode"
  13
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
  14
+
  15
+LICENSE="BSD"
  16
+SLOT="0"
  17
+KEYWORDS="~amd64 ~x86"
  18
+IUSE="test"
  19
+
  20
+# optional deps:
  21
+# - dev-python/lxml for svg backend
  22
+# - virtual/pil for PIL backend
  23
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
  24
+DEPEND="${RDEPEND}
  25
+	test? (
  26
+		dev-python/lxml[${PYTHON_USEDEP}]
  27
+		virtual/python-unittest2[${PYTHON_USEDEP}] )"
  28
+
  29
+python_test() {
  30
+	cd "${BUILD_DIR}"/lib || die
  31
+
  32
+	local m=unittest
  33
+	[[ ${EPYTHON} == python2.6 ]] && m=unittest2.__main__
  34
+	set -- "${PYTHON}" -m ${m} qrcode.tests
  35
+	echo "$@" >&2
  36
+	"$@" || die "Tests failed with ${EPYTHON}"
  37
+}
1  dev-ruby/celluloid/Manifest
... ...
@@ -1,3 +1,4 @@
1 1
 DIST celluloid-0.12.4-git.tgz 45475 SHA256 91d6adf03f351b8f3d164431d1838411481c516b72768b758ec68b9de591314d SHA512 03eb83377981fb01fd8d686e7c2bee4d796460848723bd247d220d21d0c1a2166b914953160399cd4a64e88bee3c5713cfa7e1f6d3eb4205d78b0fb75cb4bef5 WHIRLPOOL 5b8e5568406028c2a7572bb3092eea4f5c48f50859e52aa1a457fcbb941fee8e4b81fce84c4ce53ba1e4709b097c439d92fab2d2ad619303003aec54383f1208
2 2
 DIST celluloid-0.13.0-git.tgz 49457 SHA256 8e14ac6298db0d7faba875b2f1ddb0132085f6661b434fb8d0d14d31f7b6db85 SHA512 8900245fdf7a557fac1598a0121d234edd7e24f070e11150ac95014d2763d4653d67f4aeb7da1b76f8dfa36d2fb3d8f7bde86777612b1b15ef78cdaeb1c50f17 WHIRLPOOL 0c77c6fea3f7dd9d82349a2371a5e0a317cd8444cea44446891d9947c083a3398ad9ed82c46d6e03320b171fe92f2b61c362529adc6e1a27397f6681f37e2a0f
3 3
 DIST celluloid-0.14.1-git.tgz 53456 SHA256 5fbd664490f23662f4f66f2059352bd60f8a91ae388458afb5e03e86826ba4d2 SHA512 e7d0be53a03467dd1e1286274263e6ed90f062b7b779dbad38b3d9115454dcfaa937355e9a49fbc3bd893bd6aa43b11814d69a60108a13ca134fdc75dcdadfff WHIRLPOOL db7abd262e0ab95bf079b53fa9adf3a38ff681186b4462c99cb2bd2abc1e49eff3c1a2575f3973a561ee1ab30b3cfeb18dabaa1fb05f0fc15b705624251d9083
  4
+DIST celluloid-0.15.1-git.tgz 56010 SHA256 660bb17b4208cb5e92c65c4acd9861f764f08e8f32ec4289de55c6f180ffa8b0 SHA512 46ebd4ed5c32c29e89304123603b4a2af125f0e09ec26455abd820cd4c1fe007018f1c03c5dab176543f813c1cd7d64e0a24902e0ae2b4ddc36f7bef36696bc7 WHIRLPOOL 0b5c30f2512f23b770f504cff07ae700a74400d1b86a288827a73d53356ea94fc7d787ce05bbe610403af0fe3b5ea73b258561809e68057e8f7c643671a22b44
31  dev-ruby/celluloid/celluloid-0.15.1.ebuild
... ...
@@ -0,0 +1,31 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/celluloid/celluloid-0.15.1.ebuild,v 1.1 2013/09/07 11:34:34 mrueg Exp $
  4
+
  5
+EAPI=5
  6
+# rbx or jruby recommended, but only in 1.9 mode.
  7
+USE_RUBY="ruby19"
  8
+
  9
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
  10
+
  11
+RUBY_FAKEGEM_TASK_DOC=""
  12
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
  13
+
  14
+inherit ruby-fakegem
  15
+
  16
+DESCRIPTION="Celluloid provides a simple and natural way to build fault-tolerant concurrent programs in Ruby"
  17
+HOMEPAGE="https://github.com/celluloid/celluloid"
  18
+SRC_URI="https://github.com/celluloid/celluloid/archive/v${PV}.tar.gz -> ${P}-git.tgz"
  19
+IUSE=""
  20
+SLOT="0"
  21
+
  22
+LICENSE="MIT"
  23
+KEYWORDS="~amd64"
  24
+
  25
+ruby_add_rdepend ">=dev-ruby/timers-1.0.0"
  26
+
  27
+all_ruby_prepare() {
  28
+	rm Gemfile .rspec || die
  29
+
  30
+	sed -i -e '/coveralls/I s:^:#:' spec/spec_helper.rb || die
  31
+}
1  dev-ruby/fakefs/Manifest
... ...
@@ -1 +1,2 @@
1 1
 DIST fakefs-0.4.2.gem 34304 SHA256 f8cec34ebfc8b756c2174884abe5e97659b0b2ad41395c82f4b0b56292445e34 SHA512 57634e38ee5e5e7b73569405f61dbc5d83036091020bd043cb1d0eb64dc012a3a7a63d6c4111e31c7b4256746c448b707500c51fd4d2512a04d5ad45faf7c7e0 WHIRLPOOL 3b737ea892ea5ea171d4fcb237eb85c57ff2bd627050304571109bb4b73369583abee3a5b0d9da82553fc9da37a1158bcd6714f92ee3c462c8e665afe949437b
  2
+DIST fakefs-0.4.3.gem 36352 SHA256 f306b068c9c5e527d48e163ffe340d2fb091eaef5b21919b179d7defff0b68ee SHA512 e275c7b5785de4e4772ec7eed0895b1e4cbae8a2db6df72324e8dc9a05332f4f532f3d2648cd060667ca8955db95cdb54991a686e48510c1192ef6d01a16f74c WHIRLPOOL fa7435f64bec2290e674e457c912810bde992531774f25fe3f45f8176800bcfa260b48cff0d2322d37ca2640f399c26b0eedf8f6366713a70baeecee97952d94
52  dev-ruby/fakefs/fakefs-0.4.3.ebuild
... ...
@@ -0,0 +1,52 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/fakefs/fakefs-0.4.3.ebuild,v 1.1 2013/09/07 11:23:34 mrueg Exp $
  4
+
  5
+EAPI=5
  6
+
  7
+USE_RUBY="ruby18 ruby19 jruby"
  8
+
  9
+RUBY_FAKEGEM_RECIPE_TEST="none"
  10
+
  11
+# requires sdoc
  12
+RUBY_FAKEGEM_TASK_DOC=""
  13
+
  14
+RUBY_FAKEGEM_EXTRADOC="CONTRIBUTORS README.markdown"
  15
+
  16
+inherit ruby-fakegem eutils
  17
+
  18
+DESCRIPTION="A fake filesystem. Use it in your tests."
  19
+HOMEPAGE="http://github.com/defunkt/fakefs"
  20
+
  21
+LICENSE="MIT"
  22
+SLOT="0"
  23
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
  24
+IUSE=""
  25
+
  26
+ruby_add_bdepend "
  27
+	test? (
  28
+		dev-ruby/rspec:2
  29
+		>=dev-ruby/test-unit-2.5.1-r1
  30
+	)"
  31
+
  32
+all_ruby_prepare() {
  33
+	# Remove bundler
  34
+	rm Gemfile || die
  35
+}
  36
+
  37
+each_ruby_prepare() {
  38
+	case ${RUBY} in
  39
+		*jruby)
  40
+			# Ignore failing tests: upstream is aware and doing the same
  41
+			# on Travis.
  42
+			rm test/fakefs_test.rb test/file/stat_test.rb || die
  43
+			;;
  44
+		*)
  45
+			;;
  46
+	esac
  47
+}
  48
+
  49
+each_ruby_test() {
  50
+	ruby-ng_rspec
  51
+	ruby-ng_testrb-2 -Ilib:test test/**/*_test.rb
  52
+}
1  dev-ruby/flog/Manifest
... ...
@@ -1,2 +1,3 @@
1 1
 DIST flog-3.2.3.gem 22528 SHA256 eb215725d5700eff3e658cc96eb0972452f8a9265bae59d0391a5da44a82f457 SHA512 96d25ab52797362612d65eb318551864a34938ffd7ca2b5b3459be457a2d7bdec81c5f8a4cac2815cfa753bdc598ba13805f3997ca004934a703d5d2908cf4b2 WHIRLPOOL dd22f3eef2c6044dcfdad4ed354659133fc3af14a23b0efaea33fa8f93fa6e8fe06729c6ea0cce16092ed7243c48c8c07ca4420ca128fd173089e09eab77f0b3
2 2
 DIST flog-4.1.1.gem 24064 SHA256 d94ff08d095542eacf67fe149169a1a41e35ecee39ea9c64f6ae170a908996f5 SHA512 b36b058b0f4ceb04ce096b6183a8fba0ea411190b4ba2b9d1b24b97c1d303c4a824f43baf1c618d552fe8b95956877be1f8166c7acc4a82554ade2947e289f8b WHIRLPOOL 99fac5fcdc6228d93a42e1873d878b0f0563c259e35c0c84d6ebe98abe225fc4715e737b550d54d50f10fcb7eecbd717c79bf7ec93087d6ef1a04a53c5147723
  3
+DIST flog-4.1.2.gem 24064 SHA256 ba4c25662c5d7cfb94fbf1b7ed4c368440df7e5583d5fa66d8077f54552b24ef SHA512 3f7b95d4bbd946b257f404fb29df5c9abc1c0aa976fcd8cc4218450d6aa3deff123400c11b14810b3d8e3743add3ad7b5b6729a4d4ffae75ba368a3b2ac31969 WHIRLPOOL 659054bc2288a9a98aeff3a725b0efe9594fedb0b841bcaef2d2813985e0ebb766f246fd5d1ac34525c1220f78741a02338fc2155f33bd74e22f66c7c00677bc
28  dev-ruby/flog/flog-4.1.2.ebuild
... ...
@@ -0,0 +1,28 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/flog/flog-4.1.2.ebuild,v 1.1 2013/09/07 11:28:40 mrueg Exp $
  4
+
  5
+EAPI=5
  6
+USE_RUBY="ruby18 ruby19 jruby"
  7
+
  8
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
  9
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
  10
+
  11
+inherit ruby-fakegem
  12
+
  13
+DESCRIPTION="Flog reports the most tortured code in an easy to read pain report."
  14
+HOMEPAGE="http://ruby.sadi.st/"
  15
+LICENSE="MIT"
  16
+
  17
+KEYWORDS="~x86 ~amd64"
  18
+SLOT="0"
  19
+IUSE=""
  20
+
  21
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
  22
+
  23
+ruby_add_rdepend "=dev-ruby/ruby_parser-3* >dev-ruby/ruby_parser-3.1.0
  24
+	=dev-ruby/sexp_processor-4*"
  25
+
  26
+each_ruby_test() {
  27
+	${RUBY} -Ilib test/test_flog.rb || die
  28
+}
1  dev-ruby/minitest/Manifest
@@ -3,3 +3,4 @@ DIST minitest-2.8.1.gem 43008 SHA256 1c265730228f63030c136058d6eb15b0bd05edd1e2f
3 3
 DIST minitest-3.5.0.gem 50688 SHA256 74f1fe409e4e9e9997cd7865bf3e9df9c1452d7abce375120df39bf05e3ddb6e SHA512 1b61f10d9107ca7694d60e9d7ba70ca289fc0c96bdd74e0864b17ca68ec03a154f4791f6d57de6415350adbfb4611b59989ffbcd9cac20289590ae2db411a0cd WHIRLPOOL 43ff247c5e112f4c890afb36669863a6dbb959f35e3ae1f0c0ffdd4e61b36adba8c02dc5eb68c8852232a05447d6ad79156cd6fcd7d7449ae978474fb108c449
4 4
 DIST minitest-4.7.4.gem 57856 SHA256 0b75963a72a08a60a71f0fd06337e2eea1aaede37961b02305a3b23e1727c662 SHA512 d78cea8a7350127d2c606b98a8695cd866f31a6ff2486385ad16321797363931c5d4b1ead0ac3205c991d4583272cea7c15eee6c31915bf1d46690ed0749f12d WHIRLPOOL 7cbb0ece4264d885cbf8de1c0400a378e159868f52d1022ad9193c38586af418a32278b8795713adfd500c171d2f5271d53b93536ea551f18ada8c79e0672dee
5 5
 DIST minitest-5.0.6.gem 63488 SHA256 fbcbad8af9fea0e642e40f21a99f61a0c69c561b7a909ac8adce79af3c615d16 SHA512 005e551aef577fd37afd20086301512463a5b216a80285bee7a205cd655f5cd3d8a9c6b085333340138b87d7407f919e9f2d861970bbdf197aa2716b4b8dd909 WHIRLPOOL 31d3ba644c5865a2931b1edbeb9c6a519efa3bb41bfe1f50d901c7ea8b53d2df35717afe40a6cf812a2c4fc4fca5330727aa67db57c260287a106a34af2de9d6
  6
+DIST minitest-5.0.7.gem 64000 SHA256 4b386d9f4d437d19c7c6cf2071b5fe452f841d11b0d4a7cbf09c417819632d06 SHA512 7073a2b601ba79f15c98b69817a31aabaf4b368e8632018ca86a9129ce41a396f26cc985cd2df5254a4fc25c793d99a1fffa93294f3b5dd462eb5d10aa16ebb3 WHIRLPOOL b3aa89b17a52d639d2f270b144288e379fac4cfd1dd369b8a1696345d357f2b77d19e3166d816dc84452da379d4db0b1bf82bd487984e0a324c0c82195ddaaa3
50  dev-ruby/minitest/minitest-5.0.7.ebuild
... ...
@@ -0,0 +1,50 @@
  1
+# Copyright 1999-2013 Gentoo Foundation
  2
+# Distributed under the terms of the GNU General Public License v2
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/minitest/minitest-5.0.7.ebuild,v 1.1 2013/09/07 11:27:14 mrueg Exp $
  4
+
  5
+EAPI=5
  6
+USE_RUBY="ruby18 ruby19 jruby"
  7
+
  8
+RUBY_FAKEGEM_TASK_DOC="docs"
  9
+
  10
+RUBY_FAKEGEM_DOCDIR="doc"
  11
+RUBY_FAKEGEM_EXTRADOC="History.txt Manifest.txt README.txt"
  12
+
  13
+inherit ruby-fakegem
  14
+
  15
+DESCRIPTION="minitest/unit is a small and fast replacement for ruby's huge and slow test/unit."
  16
+HOMEPAGE="https://github.com/seattlerb/minitest"
  17
+
  18
+LICENSE="MIT"
  19
+SLOT="5"
  20
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
  21
+IUSE="doc test"
  22
+
  23
+ruby_add_bdepend "
  24
+	doc? ( dev-ruby/hoe dev-ruby/rdoc )
  25
+	test? ( dev-ruby/hoe )"
  26
+
  27
+each_ruby_prepare() {
  28
+	case ${RUBY} in
  29
+		*jruby)
  30
+			# Make sure __jtrap is available in all threads. This should
  31
+			# be fixed in jruby 1.7.x
  32
+			sed -i -e '8i  trap :INFO do ; end' lib/minitest/parallel_each.rb || die
  33
+
  34
+			# Avoid failures. Most of these look like low-level jruby
  35
+			# differences and it looks like these were not run properly
  36
+			# in previous versions.
  37
+			local command="/${t}/,/^  end/ s:^:#:"
  38
+			for t in test_return_mock_does_not_raise test_mock_args_does_not_raise test_stub_block test_stub_value ; do
  39
+				sed -i -e "${command}" test/minitest/test_minitest_mock.rb || die
  40
+			done
  41
+			for t in test_run_failing test_run_skip test_run_error test_run_skip_verbose test_run_error_teardown test_runnable_methods_random test_assert_throws_different test_to_s_error_in_test_and_teardown test_run_filtered_including_suite_name_string test_run_filtered_string_method_only test_run_filtered_including_suite_name ; do
  42
+				sed -i -e "${command}" test/minitest/test_minitest_unit.rb || die
  43
+			done
  44
+			for t in test_name2 "needs to verify throw" ; do
  45
+				sed -i -e "${command}" test/minitest/test_minitest_spec.rb || die
  46
+			done
  47
+			sed -i -e '/test_report_error/,/^  end/ s:^:#:' test/minitest/test_minitest_reporter.rb || die
  48
+			;;
  49
+	esac
  50
+}
2  dev-scheme/tinyscheme/metadata.xml
@@ -5,4 +5,4 @@
5 5
 	<longdescription lang="en">
6 6
 TinyScheme is a lightweight Scheme interpreter that implements as large a subset of R5RS as was possible without getting very large and complicated. It is meant to be used as an embedded scripting interpreter for other programs. As such, it does not offer IDEs or extensive toolkits although it does sport a small top-level loop, included conditionally. A lot of functionality in TinyScheme is included conditionally, to allow developers freedom in balancing features and footprint.
7 7
 	</longdescription>
8  
-</pkgmetadata>
  8
+</pkgmetadata>
3  dev-util/anjuta/anjuta-3.8.4.ebuild
... ...
@@ -1,6 +1,6 @@
1 1
 # Copyright 1999-2013 Gentoo Foundation
2 2
 # Distributed under the terms of the GNU General Public License v2
3  
-# $Header: /var/cvsroot/gentoo-x86/dev-util/anjuta/anjuta-3.8.4.ebuild,v 1.5 2013/08/24 01:51:51 patrick Exp $
  3
+# $Header: /var/cvsroot/gentoo-x86/dev-util/anjuta/anjuta-3.8.4.ebuild,v 1.6 2013/09/07 10:27:49 eva Exp $
4 4
 
5 5
 EAPI="5"
6 6
 GCONF_DEBUG="yes"
@@ -115,6 +115,7 @@ src_configure() {
115 115
 		$(use_enable debug) \
116 116
 		$(use_enable devhelp plugin-devhelp) \
117 117
 		$(use_enable glade plugin-glade) \
  118
+		$(use_enable glade glade-catalog) \
118 119
 		$(use_enable introspection) \
119 120
 		$(use_enable packagekit) \
120 121
 		$(use_enable subversion plugin-subversion) \
23  games-board/xboard/files/xboard-4.7.2-Xaw3d.patch
... ...
@@ -0,0 +1,23 @@
  1
+commit 7bc79645d4e404d00fee43b5a6cee4e3b6bf7a35
  2
+Author: hasufell <hasufell@gentoo.org>
  3
+Date:   Sat Sep 7 12:48:58 2013 +0200
  4
+
  5
+    BUILD: fix withXaw conditional
  6
+    
  7
+    Listing both one after another leads to withXaw being false
  8
+    if you pass "--with-Xaw3d --without-Xaw".
  9
+
  10
+diff --git a/configure.ac b/configure.ac
  11
+index 1664491..6548295 100644